const { contextBridge, ipcRenderer, ipcMain } = require("electron");

//tyrano実行用のpreload.js not for studio
contextBridge.exposeInMainWorld("studio_api", {

  fs: require('fs-extra'),
  fs_default: require('fs'),
  shell: require("electron").shell,
  path: require('path'),
  asar: require('asar'),

  admzip: require("adm-zip"),

  csv_parse: require("csv-parse"),
  csv_stringify: require('csv-stringify'),

  //packager: require("electron-packager"),
  ipcRenderer: ipcRenderer,

  handleMainEvent: (callback) => ipcRenderer.on('asynchronous-message', callback)

});

